MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022578Community[OCCT] OCCT:Data Exchangepublic2011-06-06 20:502012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022578: StlMesh_Mesh migartion from private to protected data fields
DescriptionRLN contribution (fix330)
- Summary: StlMesh_Mesh now have protected (not private) data fields
- Detailed description:
        - StlMesh_Mesh assumes inheritance (many methods are virtual) but
subclasses cannot access/change data fields
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships
child of 0022825closedabv Integration of contributions by Roman Lygin to OCCT 6.5.2 

-  Notes
(0017620)
kgv (developer)
2011-06-15 11:25

SVN branch http://svn/svn/occt/branches/OCC22578_StlmeshProtectedfields [^] passed
review without remarks.
Branch is ready for testing.
(0017621)
ycy (tester)
2011-07-12 18:06
edited on: 2011-11-25 11:37

Dear BugMaster,
SVN branch (http://svn/svn/occt/branches/OCC22578_StlmeshProtectedfields [^] ) was
testing, test results were compared with KAS:dev:products-651-opt

Regressions were not found
It is not necessary to create test case for this issue

See results in /KASDev/OCCTtests/KAS/dev/ycy-products-2_11072011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^]

(0017622)
bugmaster (administrator)
2011-07-13 14:16

Fix has been integrated to occt repository

Date: 2011-07-13 12:11:39 +0400 (Wed, 13 Jul 2011)
New Revision: 8674

Modified:
   trunk/src/StlMesh/StlMesh_Mesh.cdl

- Related Changesets
occt: master 3b541015
Timestamp: 2011-07-13 08:11:39
Author: RLN and KGV
Committer: bugmaster
Details ] Diff ]
OCC22578 StlMesh_Mesh migartion from private to protected data fields
mod - src/StlMesh/StlMesh_Mesh.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-07-05 18:11 kgv CC => kgv
2011-07-13 14:15 bugmaster Status closed => assigned
2011-07-13 14:15 bugmaster Resolution suspended => @0@
2011-07-13 14:15 bugmaster Assigned To bugmaster => kgv
2011-07-13 14:15 bugmaster Status assigned => tested
2011-07-13 14:16 bugmaster Status tested => verified
2011-07-29 15:31 bugmaster Fixed in Version EMPTY =>
2011-07-29 15:31 bugmaster Target Version => 6.5.2
2011-07-29 15:31 bugmaster Description Updated View Revisions
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-09-07 17:22 mkv Test case number => Test case is not required
2011-11-25 11:36 szy Description Updated View Revisions
2011-11-25 11:37 szy Note Edited: 0017621 View Revisions
2011-12-05 11:24 abv Relationship added child of 0022825
2012-01-17 18:36 abv Assigned To kgv => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master 3b541015


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker